#ifndef WGCCAPTURER_H
#define WGCCAPTURER_H

#include "IVideoCapturer.h"
#include "wgc/App.h"
#include <list>

namespace avrecorder {
namespace video {

class WgcCapturer : public IVideoCapturer {
public:
    WgcCapturer();
    ~WgcCapturer() override;
    bool open(const CaptureTarget& target, int width, int height) override;
    void close() override;
    AVFrame* getFrame() override;
    void setDrawCursor(bool enable) override;

private:
    App* _app = nullptr;
    bool _isAppInit = false;
};

} // namespace video
} // namespace avrecorder

#endif // WGCCAPTURER_H 
